config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  get 'settings/reload'
  get 'archiv/:year-:month-:day', to: 'tagesreporte#show', as: 'tagesreport',
                                  constraints: { year: /\d{4}/, month: /\d{2}/, day: /\d{2}/ }
  get 'wochenrueckblick', to: 'wochenrueckblicke#index', as: 'wochenrueckblicke'
  get 'wochenrueckblick/:slug', to: 'wochenrueckblicke#show', as: 'wochenrueckblick'
  get 'kommentar', to: 'kommentare#index', as: 'kommentare'
  get 'kommentar/archiv/:page', to: 'kommentare#index', as: 'kommentare_paginate'
  get 'kommentar/:slug', to: 'kommentare#show', as: 'kommentar'
  get 'redaktion/autoren/:slug', to: 'authors#show', as: 'author'
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
  root 'home#index'
  get 'partner/banner', to: 'home#bannerplaetze'

  get '*slug', to: 'pages#show', as: 'page', constraints: lambda { |req|
    req.path.exclude? 'rails/active_storage'
  }
end

app/controllers/wochenrueckblicke_controller.rb
# frozen_string_literal: true

class WochenrueckblickeController < ApplicationController
  def index
    @wochenrueckblicke = Wochenrueckblick.recent.limit(5)

    @current_page = PageContext::Collection.new

    render
  end

  def show
    preview_token = params[:preview_token]
    relation = Wochenrueckblick.published
    if preview_token
      relation = relation.or(Wochenrueckblick.drafts_with_token(preview_token))
    end

    @wochenrueckblick = relation.by_slug(params[:slug]).first

    unless @wochenrueckblick
      head :not_found
      return
    end

    published_at = @wochenrueckblick.published_at || @wochenrueckblick.updated_at
    @aktueller_kommentar = Kommentar.recent.where('published_at < ?', published_at + 1.day).first

    @current_page = PageContext::Wochenrueckblick.new @wochenrueckblick

    render
  end
end

app/views/wochenrueckblicke/_newsletter_signup.html.erb
<h3>Anmeldung zum Newsletter <em>kath.de – Die Woche</em></h3>

<form action="https://www.newstroll.de/app/sub/" method="post" target="subscribe"/>
<input name="email" value="" placeholder="E-Mail-Adresse" style="min-width: 32em;" />
<input type="hidden" name="gruppe[]" value="79713" />

<p>Nach der Anmeldung erhalten Sie eine E-Mail, in der Sie bitte durch Klicken eines Links Ihr Abonnement bestätigen.</p>

<input type="submit" value="Anmelden" name="optin" onclick="NewWin=window.open('', 'subscribe', 'toolbar=no,status=no,width=510,height=320,scrollBars=0,resizable=0,align=center');" />
</form>

app/views/wochenrueckblicke/_teaser.html.erb
<article class="post post--teaser">
  <h3 class="post-title">
    <%= link_to teaser.title, wochenrueckblick_path(teaser) %>
  </h3>
  <p class="post-summary"><%= teaser.teaser_text %></p>
  <div class="post-meta">
    <%= time_tag(teaser.published_at, format: :medium, class: 'post-date') %>
    von <%= author_links(teaser) %>
    <div class="taglist taglist--inline">
      <%#= taglist(post.tags) %>
    </div>
  </div>
</article>

app/views/wochenrueckblicke/index.html.erb
<% content_for :title, 'kath.de Die Woche' %>

<div class="site-wrapper">
  <div class="site-intro">
    <div class="kommentar-intro">
      <h2 class="kommentar-title">kath.de Die Woche</h2>
    </div>
  </div>
  <div class="site-content">
    <main>
      <div class="recent-articles">
      <%= render partial: 'teaser', collection: @wochenrueckblicke %>

      </div>

      <aside class="newsletter-signup">
        <%= render partial: 'newsletter_signup' %>
      </aside>
      <!--div class="more-articles">
        <h2>Ältere Kommentare</h2>
        <ul class="post-list">
        <%#
          kommentar_all[5,15].each do |resource|
          post = resource.data
          puts post.inspect
          autor = data.redaktion[post.autor] %>
          <li class="post-list-item">
            <%#= time_tag(post.datum, format: :medium, class: 'post-date') %>
            <%#= link_to(post.title, resource.url, class: 'post-title') %>
          </li>
        <%# end %>
        </ul-->
    </main>
  </div>
</div>

app/views/wochenrueckblicke/show.html.erb
<% content_for :title, wrap_title(current_page.title, 'kath.de – Die Woche') %>

<div class="site-wrapper">
  <div class="site-intro">
    <div class="post-intro">
      <h2 class="kommentar-title">Der Wochenrückblick von kath.de</h2>
    </div>
  </div>
  <div class="site-content">
    <main>
      <article class="post hyphenate post--wochenrueckblick" id="article" itemscope itemtype="Article" role="main">
        <header class="post-header">
          <%= content_tag :time, @wochenrueckblick.title, class: 'post-date', itemprop: 'datePublished', date: @wochenrueckblick.published_at %>
          <h1 class="post-title" itemprop="headline">kath.de – Die Woche</h1>

          <%= render partial: 'meta/publisher' %>

          <div class="post-meta">
            <div class="post__authors">von <%= author_links(@wochenrueckblick, itemprop: 'author') %></div>
          </div>

          <meta itemprop="description" value="<%= @wochenrueckblick.teaser_text %>" />
        </header>

        <div class="entry-content" itemprop="articleBody">
          <ul class="toc">
            <% toc(@wochenrueckblick.body) do |title, id| %>
            <li><a href="#<%= id %>"><%= title %></a></li>
            <% end %>
            <li style="margin-top: 1.2em;">kath.de-Wochenkommentar: <%= link_to @aktueller_kommentar.title, kommentar_path(@aktueller_kommentar) %>
          </ul>

          <%= markdown @wochenrueckblick.body %>

          <hr />

          <h3 id="der-kath-de-wochenkommentar">
            Der kath.de-Wochenkommentar
          </h3>

          <h2><%= @aktueller_kommentar.title %></h2>
          <p>von <%= author_links(@aktueller_kommentar) %></p>
          <p><%= markdown @aktueller_kommentar.teaser_text %>

          <p><strong><%= link_to 'Lesen Sie den vollständigen Kommentar hier', kommentar_path(@aktueller_kommentar) %></strong></p>
        </div>

        <aside class="newsletter-signup">
          <%= render partial: 'newsletter_signup' %>
        </aside>

        <%#= partial 'partials/author.infocard', locals: { current_post: @wochenrueckblick }, collection: @wochenrueckblick.authors, as: :author %>

        <%#aside class="related-posts">
          Ähnliche Kommentare
          <ol>
            <li>
              <a href="#">
                <strong>Bürger statt Bomben: Was der Friede im Orient braucht</strong>
              </a>
              <span class="author">von <a href="#">Maximilian Röll</a></span>
              <span class="date">27. Dezember 2015</span>
            </li>
          </ol>
        </aside>%>
      </article>
    </main>
  </div>
</div>